org.jbpm.workflow.instance.node

## Class BoundaryEventNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.EventNodeInstance
      - - org.jbpm.workflow.instance.node.BoundaryEventNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.NodeInstance

      public class BoundaryEventNodeInstance
      extends EventNodeInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryEventNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel(NodeInstance.CancelType cancelType)`
    `BoundaryEventNode` | `getEventNode()`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.EventNodeInstance

      `addEventListeners, addTimerListener, configureSla, getEventListener, getEventType, handleSLAViolation, internalTrigger, removeEventListeners, removeTimerListeners, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundaryEventNodeInstance

          public BoundaryEventNodeInstance()

  - ### Method Detail

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Overrides:
        `signalEvent` in class `EventNodeInstance`

    - #### getEventNode

          public BoundaryEventNode getEventNode()

      Overrides:
        `getEventNode` in class `EventNodeInstance`

    - #### triggerCompleted

          public void triggerCompleted(String type,
                                       Object event)

      Overrides:
        `triggerCompleted` in class `EventNodeInstance`

    - #### cancel

          public void cancel(NodeInstance.CancelType cancelType)

      Overrides:
        `cancel` in class `EventNodeInstance`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.